ru.bitel.bgbilling.modules.tv.api.server.bean

## Class TvServiceSpecChannelLinkDao

- java.lang.Object
- - ru.bitel.bgbilling.modules.tv.api.server.bean.TvServiceSpecChannelLinkDao

-     public class TvServiceSpecChannelLinkDao
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TvServiceSpecChannelLinkDao(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected TvServiceSpecChannelLink` | `getFromRS(java.sql.ResultSet rs)`
    `java.util.List<TvServiceSpecChannelLink>` | `list(int serviceSpecId, java.util.Date date)`
    `void` | `update(int serviceSpecId, java.util.List<TvServiceSpecChannelLink> linkList)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TvServiceSpecChannelLinkDao

          public TvServiceSpecChannelLinkDao(java.sql.Connection con,
                                             int mid)

  - ### Method Detail

    - #### getFromRS

          protected TvServiceSpecChannelLink getFromRS(java.sql.ResultSet rs)
                                                throws java.sql.SQLException,
                                                       ru.bitel.bgbilling.common.BGException

      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### list

          public java.util.List<TvServiceSpecChannelLink> list(int serviceSpecId,
                                                               java.util.Date date)
                                                        throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### update

          public void update(int serviceSpecId,
                             java.util.List<TvServiceSpecChannelLink> linkList)
                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`